Subject: feature request: proposed completion highlightable
From: Paul Seyfert <[email-masked]>
To: zsh workers <[email-masked]>
Date: Mon, 23 May 2016 19:41:14 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi,

zsh's correction suggestions can be hard to proofread e.g. when a long
path is changed only in a single letter romewhere in the middle.
So I was wondering if zsh-syntax-highlighting can be used to highlight
the suggestion (maybe boldfacing the differences).

I suggested this to zsh-syntax-highlighting 
[OP: https://github.com/zsh-users/zsh-syntax-highlighting/issues/323]
but this can not be fixed there
(quoting danielshahaf's comment)

> In short: zsh itself does not make this possible at the moment:
> `spckword()` (a C function) prints the prompt by the equivalent of `print
> -rP -- $SPROMPT`, and there doesn't seem to be any prompt escape that
> could be used to manipulate %r and %R. I suggest that you ask zsh
> upstream to replace $SPROMPT by something smarter (e.g., converting the
> parameter to a zstyle would do, since then the style could be set with
> `zstyle -e`; or if there were a precorrect() hook, and you could write a
> hook that hardcodes $SPROMPT to a value that depends on the current
> values of %r and %R (using `print -rP %r` to get the value)).
> 
> In any case, all this stuff happens outside zle, and there's a chance
> that it'll turn out to be out of scope for z-sy-h. (But let's keep this
> issue open for now)

Is it possible to address highlighting of proposed corrections from the
zsh side?

Thanks,
Paul